Wordpress Gutenberg Editörünü Eklentisiz Devre Dışı Bırak !


Wordpress yazı editörü olarak blok sistemine geçtiğinden beridir, bir çok wp kullanıcısı "Güncelleme başarısız oldu. Yanıt geçerli bir JSON yanıtı değildir." veya "Beklenmeyen bir hata oluştu" şeklinde çeşitli hata ekranları almaya başladı. Bunun kesin denilebilecek tek çözüm yolu var. O da eski klasik düzenleyiciyi kullanmaktır.

Wordpress Gutenberg Editörünü Eklentisiz Devre Dışı Bırakmak

Hiç kod bilgisi olmayanlar için eklenti kurulumu ile Klasik Düzenleyiciye geçiş mümkün. Ama eklentiler sonuçta sitemizde yorgunluk yaratır. Buna hiç gerek yok. Aslında hiç kod bilgisi olmayanlarında yapabileceği basit bir kod satırını ilgili dosyaya ekleyerek bunu yapmak mümkün.

Gutenberg editörünü eklenti kullanmadan devre dışı bırakmak için aşağıdaki kodu functions.php dosyasının en altına ekleyin. O dosya nerede? Bulamıyorum diyenler için dosya yolu; FTP ile ana dizine gelin. wp-includes/functions.php

add_filter( 'use_block_editor_for_post', '__return_false' );

Gutenberg’i sadece gönderiler için etkinleştirmek istiyorsanız da lütfen aşağıdaki kodu kullanın.

add_filter( 'use_block_editor_for_post', 'my_disable_gutenberg', 10, 2 );
function my_disable_gutenberg( $can_edit, $post ) {
  if( $post->post_type == 'post' ) {
    return true;
  }
  return false;
}

Yorum ekle

Okunamayan kodu yenilemek için resmin üstüne tıklayınız
  • HTML5 CSS
  • Bootstrap
  • PHP
  • MySQL
  • Laravel
  • JavaScript
  • React JS
  • Python